# Note: the same spec is used on all distro versions including EPEL,
# hence BuildRoot and related cleanup stays in.

Name:           tcpxtract
Version:        1.0.1
Release:        14%{?dist}
Summary:        Tool for extracting files from network traffic

Group:      Applications/Internet
License:    GPLv2+
URL:        http://tcpxtract.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if "0%{?dist}" == "0.el4"
BuildRequires:  libpcap
%else
BuildRequires:  libpcap-devel
%endif
%if 0%{?fedora} >= 13
BuildRequires:  flex-static
%else
BuildRequires:  flex
%endif


%description
tcpxtract is a tool for extracting files from network traffic based on
file signatures.
tcpxtract features the following:
 * Supports 26 popular file formats out-of-the-box. New formats can be
 added by simply editing its config file.
 * With a quick conversion, you can use your old Foremost config file
 with tcpxtract.
 * Custom written search algorithm is lightning fast and very scalable.
 * Search algorithm searches across packet boundries for total coverage
 and forensic quality.
 * Uses libpcap, a popular, portable and stable library for network data
 capture
 * Can be used against a live network or a tcpdump formatted capture file.


%prep
%setup -q
#%patch0 -p0 -b .conf
%{__sed} -i.path -e '/DEFAULT_CONFIG_FILE/s#/usr/local/etc#%{_sysconfdir}#' tcpxtract.c

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_mandir}/man1/tcpxtract.1*
%config(noreplace) %{_sysconfdir}/tcpxtract.conf
%{_bindir}/tcpxtract


%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Manuel "lonely wolf" Wolfshant  <wolfy@fedoraproject.org> 1.0.1-11
- Fix FTBFS for Fedora > 12 ( flex libs are now in their own package)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Manuel "lonely wolf" Wolfshant  <wolfy@fedoraproject.org> 1.0.1-8.2
- rebuilt for gcc-4.3.0

* Tue Aug 22 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-8.1
- rebuilt

* Tue Aug 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-8
- license clarification

* Fri Mar 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-7
- removing unused patch from spec

* Thu Mar 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-6
- adapt buildrequires for EPEL-4

* Wed Mar 7 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-5
- remove superflous hard coded path from %%configure

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-4
- really keep timestamps

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-3
- replace patch with a sed in %%prep
- keep timestamps of default config and man pages

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-2
- Include a patch to fix the fact that the configuration file is ignored at
runtime, despite "--prefix" at %%configure time

* Fri Mar 2 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-1
- Initial rpm version starting from scratch
